<?php
require_once("../../config.php");
require_once("../../firstin.php");
require_once("../../secure/secure.php");
require_once("../../include-sesvars.php");
require_once("../../lib/dbgrid.php");
require_once("../../htmlheader.php");
require_once("../../htmlfooter.php");
$jsnotifications=1;

$resource = basename(__FILE__);
if( !check_acl($resource)) {
    return;
}

htmlheader($extra);

include("../../menu.php");

$grid =  new dbgrid($db);
$grid->set_table('codigos_de_area');
$grid->set_caption(trans('admin-areacodes'));
$grid->salt("2323dsksk232");
$grid->allow_add(true);
$grid->hide_field('id');
$grid->allow_edit(true);
$grid->allow_delete(true);
$grid->allow_export(false);
$grid->allow_search(true);
$grid->set_search_fields(array('code','name','state'));
$grid->set_orderby('code');
$grid->set_column_widths(array('150','*','*'));
$grid->set_display_name(array('code','name','state'),array(trans('Código de Area'),trans('Provincia'),trans('Localidad')));
$grid->add_validation_type('code','required');
$grid->add_validation_type('name','required');
$grid->add_validation_type('state','required');
$grid->show_grid();

echo "</div>";
include("../../footer.php");
?>
</body>
</html>
