<?php
if (php_sapi_name() !='cli') exit;

require_once("../../config.php");
require_once("../../lib/dblib.php");

$db = new dbcon($DBHOST, $DBUSER, $DBPASS, $DBNAME, true);

if(!$db->table_exists('fromwhere')) {
    $query = "CREATE TABLE `fromwhere` (
      `uniqueid` varchar(50) NOT NULL,
      `provincia` varchar(30) DEFAULT NULL,
      `localidad` varchar(80) DEFAULT NULL,
      PRIMARY KEY (`uniqueid`)
    )";
    $db->consulta($query);
}

$query = "SELECT * FROM queue_stats_mv LEFT JOIN fromwhere on queue_stats_mv.real_uniqueid = fromwhere.uniqueid WHERE provincia is null";

$res = $db->consulta($query);
while($row=$db->fetch_assoc($res)) {
    if(strlen($row['clid'])>6) {
        $query = "SELECT * FROM codigos_de_area WHERE '%s' RLIKE concat('^',code) ORDER BY LENGTH(code) DESC";
        $ris = $db->consulta($query,$row['clid']);
        $provincia='';
        $localidad='';
        if($db->num_rows($ris)>0) {
            $rew = $db->fetch_assoc($ris);
            $provincia = $rew['name'];
            $localidad = $rew['state'];
            $db->consulta("INSERT INTO fromwhere VALUES ('%s','%s','%s')",array($row['real_uniqueid'],$provincia,$localidad));
        } else {
            $provincia='desconocido';
            $localidad='desconocido';
            $db->consulta("INSERT INTO fromwhere VALUES ('%s','%s','%s')",array($row['real_uniqueid'],$provincia,$localidad));
        }
    }
}
